[ciderwebmail] 07/14: Modernize cdbs: Do copyright-check in maintainer script (not during build).

Jonas Smedegaard dr at jones.dk
Thu Sep 21 08:47:31 UTC 2017


This is an automated email from the git hooks/post-receive script.

js pushed a commit to branch master
in repository ciderwebmail.

commit aa4a91bcc6002d3c856784222068a4aa1eb7020a
Author: Jonas Smedegaard <dr at jones.dk>
Date:   Thu Sep 21 09:47:41 2017 +0200

    Modernize cdbs: Do copyright-check in maintainer script (not during build).
---
 debian/copyright-check | 29 +++++++++++++++++++++++++++++
 debian/rules           |  6 ------
 2 files changed, 29 insertions(+), 6 deletions(-)

diff --git a/debian/copyright-check b/debian/copyright-check
new file mode 100755
index 0000000..c5b52bf
--- /dev/null
+++ b/debian/copyright-check
@@ -0,0 +1,29 @@
+#!/bin/sh
+# Copyright © 2016-2017  Jonas Smedegaard <dr at jones.dk>
+# Description: helper script to update copyright_hints
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+# extract metadata from binary files before copyright check
+# - but skip file formats unlikely to contain relevant metadata
+export DEB_COPYRIGHT_EXTRACT_EXTS="png"
+export DEB_COPYRIGHT_CHECK_IGNORE_EXTS="ico"
+
+make -f /usr/share/cdbs/1/rules/utils.mk pre-build || true
+make -f /usr/share/cdbs/1/rules/utils.mk clean DEB_COPYRIGHT_CHECK_STRICT=1
+
+# unconditionally merge changes - safe to do with git-tracked package
+[ ! -f debian/copyright_newhints ] || mv -f debian/copyright_newhints debian/copyright_hints
diff --git a/debian/rules b/debian/rules
index 27208ec..e89665e 100755
--- a/debian/rules
+++ b/debian/rules
@@ -17,7 +17,6 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 include /usr/share/cdbs/1/rules/upstream-tarball.mk
-include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/perl-makemaker.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
@@ -78,11 +77,6 @@ CDBS_DEPENDS_$(pkg) = $(deps), $(depends)
 CDBS_RECOMMENDS_$(pkg) = $(deps-recommend), $(recommends)
 CDBS_SUGGESTS_$(pkg) = $(suggests)
 
-# extract metadata from binary files before copyright check
-# - and skip ico files (binary unlikely to contain relevant metadata)
-DEB_COPYRIGHT_EXTRACT_EXTS = png
-DEB_COPYRIGHT_CHECK_IGNORE_EXTS = ico
-
 DEB_INSTALL_EXAMPLES_$(pkg) = ciderwebmail.yml script/update_schema.sh
 
 # Avoid virtually empty TODO file

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-perl/packages/ciderwebmail.git



More information about the Pkg-perl-cvs-commits mailing list